Page MenuHomePhabricator

Show ULS trigger at personal toolbar in Special:CX
Closed, ResolvedPublic

Description

There is no interlanguage link section to show the ULS cog there. Re-position it to the personal tools area on top of page.

Also see T88279

Event Timeline

santhosh created this task.Apr 21 2015, 6:53 AM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2015, 6:53 AM
Amire80 triaged this task as Low priority.May 4 2015, 4:15 PM
Amire80 added a subscriber: Amire80.

OK, but it does make me wonder: why is ULS needed there? Changing the UI language doesn't sound like a very important scenario in Special:CX.

Javascript of ULS is getting delivered and it has no action since there is no cog. For input tools, you need ULS.

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 5:07 PM
Amire80 set Security to None.
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:24 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 19 2015, 8:35 AM

Change 305502 had a related patch set uploaded (by Nikerabbit):
Show ULS trigger at personal toolbar in Special:CX

https://gerrit.wikimedia.org/r/305502

Nikerabbit moved this task from Backlog to In Review on the Language-Q1-2016-17 Sprint 4 board.

Change 305502 merged by jenkins-bot:
Show ULS trigger at personal toolbar in Special:CX

https://gerrit.wikimedia.org/r/305502

Arrbee moved this task from QA to Done on the Language-Q1-2016-17 Sprint 4 board.Aug 30 2016, 7:55 AM

Works on test.wikipedia.org, but language change tooltip arrow styles are broken.

Change 307704 had a related patch set uploaded (by Nikerabbit):
Do not use tipsy class with new popup

https://gerrit.wikimedia.org/r/307704

Change 307704 merged by jenkins-bot:
Do not use tipsy class with new popup

https://gerrit.wikimedia.org/r/307704

Amire80 closed this task as Resolved.Sep 5 2016, 12:51 PM
Amire80 moved this task from QA to Done on the Language-Q1-2016-17 Sprint 5 board.

Verified in production.

Nikerabbit reopened this task as Open.Sep 6 2016, 6:01 AM

Works on test.wikipedia.org, but language change tooltip arrow styles are broken.

The fix for this is not yet deployed on production.